package com.fs.crm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.crm.domain.CrmCustomerProperty;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CrmCustomerPropertyMapper extends BaseMapper<CrmCustomerProperty> {

    CrmCustomerProperty selectCrmCustomerPropertyById(Long id);

    List<CrmCustomerProperty> selectCrmCustomerPropertyList(CrmCustomerProperty crmCustomerProperty);

    List<CrmCustomerProperty> selectCrmCustomerPropertyByCustomerId(Long customerId);

    CrmCustomerProperty selectByCustomerIdAndPropertyId(@Param("customerId") Long customerId, @Param("propertyId") Long propertyId);

    int insertCrmCustomerProperty(CrmCustomerProperty crmCustomerProperty);

    int updateCrmCustomerProperty(CrmCustomerProperty crmCustomerProperty);

    int deleteCrmCustomerPropertyById(Long id);

    int deleteCrmCustomerPropertyByIds(Long[] ids);

    int deleteByCustomerIdAndPropertyId(@Param("customerId") Long customerId, @Param("propertyId") Long propertyId);
}
